ubuntu/+source/network-manager-openvpn:applied/ubuntu/wily

Last commit made on 2015-10-14
Get this branch:
git clone -b applied/ubuntu/wily https://git.launchpad.net/ubuntu/+source/network-manager-openvpn
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/wily
Repository:
lp:ubuntu/+source/network-manager-openvpn

Recent commits

42a21b3... by Luke Yelavich on 2015-10-14

Import patches-applied version 0.9.10.0-1ubuntu2 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 0beb8cef0265ca2f814126522bf612106dbb5e6f
Unapplied parent: 6cd944876e9d618526b280996ccf389e2fc29682

New changelog entries:
  * debian/patches/02-build-specify-NM_VERSION_MIN_REQUIRED.patch:
    - Specify NM_VERSION_MIN_REQUIRED to fix FTBFS, patch pulled from git

6cd9448... by Luke Yelavich on 2015-10-14

[PATCH] build: specify NM_VERSION_MIN_REQUIRED

Gbp-Pq: 02-build-specify-NM_VERSION_MIN_REQUIRED.patch.

7475b42... by Luke Yelavich on 2015-10-14

Use user nobody / group nogroup when exporting an OpenVPN connection

Gbp-Pq: 01-export-user-nobody.patch.

d49e721... by Luke Yelavich on 2015-10-14

Import patches-unapplied version 0.9.10.0-1ubuntu2 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 548211c609eea98c62a3d9fd34ba3a577a1fae54

New changelog entries:
  * debian/patches/02-build-specify-NM_VERSION_MIN_REQUIRED.patch:
    - Specify NM_VERSION_MIN_REQUIRED to fix FTBFS, patch pulled from git

0beb8ce... by Artur Rona on 2015-01-29

Import patches-applied version 0.9.10.0-1ubuntu1 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 8708572015c75596d0a4a7b68c87a15e4be0912a
Unapplied parent: 79daf6a51f3d6a8c5c08259b02a7178e233f3104

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Have network-manager-openvpn recommend
        network-manager-openvpn-gnome | plasma-nm.
      + Drop Vcs-* fields.
  * debian/patches/gtk_table_to_gtk_grid.patch:
    - Drop, no longer applicable.
  * debian/patches/enable_ipv6.patch, debian/patches/support-ipv6-dns:
    - Drop, fixed upstream.
  * debian/control:
    - Recommend plasma-nm instead of plasma-widget-networkmanagement.
  * New upstream release.
  * Update Build-Depends as per configure.ac.
  * Drop obsolete --with-gtkver configure switch.
  * Refresh 01-export-user-nobody.patch.
  * Exclude libtool .la files from list-missing.

548211c... by Artur Rona on 2015-01-29

Import patches-unapplied version 0.9.10.0-1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 7d23c6c46e8764494ee6e0789eef0fdfcf4b317a

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Have network-manager-openvpn recommend
        network-manager-openvpn-gnome | plasma-nm.
      + Drop Vcs-* fields.
  * debian/patches/gtk_table_to_gtk_grid.patch:
    - Drop, no longer applicable.
  * debian/patches/enable_ipv6.patch, debian/patches/support-ipv6-dns:
    - Drop, fixed upstream.
  * debian/control:
    - Recommend plasma-nm instead of plasma-widget-networkmanagement.

79daf6a... by Artur Rona on 2015-01-29

Use user nobody / group nogroup when exporting an OpenVPN connection

Gbp-Pq: 01-export-user-nobody.patch.

7d23c6c... by Michael Biebl on 2014-07-10

Import patches-unapplied version 0.9.10.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 6f62756d51b9357d44f446d853412136c92862cd

New changelog entries:
  * New upstream release.
  * Update Build-Depends as per configure.ac.
  * Drop obsolete --with-gtkver configure switch.
  * Refresh 01-export-user-nobody.patch.
  * Exclude libtool .la files from list-missing.

8708572... by St├ęphane Graber on 2014-05-02

Import patches-applied version 0.9.8.4-2ubuntu1 to applied/ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 793e4d51d926014e23b3fc409a4110ac57f5bb0f
Unapplied parent: 87a6414a4b83c41765ba3ece167521f83469416e

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Recommends: network-manager-openvpn-gnome or
      plasma-widget-networkmanagement.
    - Drop Vcs-* fields.
    - debian/patches/gtk_table_to_gtk_grid.patch: port GtkTable uses in vpn
      password dialog to a GtkGrid.
    - debian/patches/enable_ipv6.patch: Add IPv6 support. (LP: #777161)
    - debian/patches/support-ipv6-dns: Support IPv6 DNS.
  * Bump Standards-Version to 3.9.5.
  * Bump debhelper compatibility level to 9.
  * Fix install paths to be multi-arch aware.
  * Drop dbus reload from postinst. The dbus package uses a file trigger
    nowadays to automatically reload its configuration.
  * Rely on dh v9 to call dpkg-buildflags.
  * New upstream release.
  * Remove 02-fix-path-to-connection-editor-plugin-in-service-file.patch,
    merged upstream.

87a6414... by St├ęphane Graber on 2014-05-02

Add support for IPv6 DNS servers and domains

Gbp-Pq: support-ipv6-dns.